package com.ifish.jpush;

import com.taobao.api.ApiException;
import com.taobao.api.DefaultTaobaoClient;
import com.taobao.api.TaobaoClient;
import com.taobao.api.request.AlibabaAliqinFcSmsNumSendRequest;
import com.taobao.api.response.AlibabaAliqinFcSmsNumSendResponse;

public class SmsNumSend {
	//公共回传参数
	private String extend="";
	//短信类型
	private String sms_type = "normal";
	//签名模板,在阿里大鱼"管理中心-短信签名管理中"中的可用签名
	//private String sms_free_sign_name="注册验证";
	//短信模板变量
	private String sms_param="爱鱼奇";
	//短信模板ID,在阿里大鱼"管理中心-短信签名管理中"中的可用模板
	//private String sms_template_code;
	//URL
	private String url ="http://gw.api.taobao.com/router/rest";
	//在开发平台-应用管理-概览-App Key
	private String appkey ="23252927";
	//在开发平台-应用管理-概览-App Secret
	private String secret ="c904889cc31bf6ba04707d7e1039ed1e";
	/*当API的访问级别为‘公开’时，SessionKey不需要填写；
	当API的访问级别为‘须用户登录’时，SessionKey必须填写；
	当API的访问级别为‘隐私数据须用户登录’时，SessionKey可填可不填；
	如何获取SessionKey，请搜索‘用户授权介绍’或点击上面的‘Session获取工具*/
	//private String sessionKey;
	
	/**
	 * 发送短信
	 * @param rec_num 手机号
	 * @param code 验证码
	 * @return
	 */
	public boolean sendSmsNum(String rec_num,String code,String sign_name,String template_code){
		TaobaoClient client = new DefaultTaobaoClient(url, appkey, secret);
		AlibabaAliqinFcSmsNumSendRequest req = new AlibabaAliqinFcSmsNumSendRequest();
		req.setExtend(extend);
		req.setSmsType(sms_type);
		req.setSmsFreeSignName(sign_name);
		req.setSmsParam("{\"code\":\""+code+"\",\"product\":"+sms_param+"}");
		req.setRecNum(rec_num);
		req.setSmsTemplateCode(template_code);
		try {
			AlibabaAliqinFcSmsNumSendResponse rsp = client.execute(req);
			return rsp.getResult().getSuccess();
		} catch (ApiException e) {
			e.getStackTrace();
		}
		return false;
	}
}
